<form (ngSubmit)="onSubmit()"
      [formGroup]="form"
      [solidifyFocusFirstElement]="true"
>
  <solidify-detail-presentation [centerTemplate]="centerTemplate"
                                [iconName]="iconNameEnum.submissionAgreements"
                                [rightTemplate]="rightTemplate"
  ></solidify-detail-presentation>

  <ng-template #centerTemplate>

    <mat-form-field *ngIf="getFormControl(formDefinition.title) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.titleLabel | translate }}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             autofocus
             matInput
             tabindex="0"
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

    <mat-form-field *ngIf="getFormControl(formDefinition.description) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.description | translate }}</mat-label>
      <textarea [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
                [solidifyValidation]="errors"
                cdkAutosizeMaxRows="10"
                cdkAutosizeMinRows="5"
                cdkTextareaAutosize
                matInput
      >
    </textarea>
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

    <mat-form-field *ngIf="getFormControl(formDefinition.version) as fd"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.version | translate }}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             autofocus
             matInput
             tabindex="0"
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

  </ng-template>

  <ng-template #rightTemplate>
    <solidify-file-upload-input-container *ngIf="getFormControl(formDefinition.fileChange) as fd"
                                          [backendFileAdapter]="dataFileAdapter"
                                          [readonly]="readonly"
                                          [uploadButtonLabelToTranslate]="labelTranslateEnum.submissionAgreementFile"
                                          [titleToTranslate]="labelTranslateEnum.submissionAgreementFile"
                                          [backendFile]="model?.submissionAgreementFile"
                                          [resourceId]="model?.resId"
                                          [resourceFileNameSpace]="adminSubmissionAgreementActionNameSpace"
                                          [blobProvidedMode]="'RETRIEVE_BY_STORE'"
                                          [formControl]="fd"
                                          class="file-upload"
    ></solidify-file-upload-input-container>
  </ng-template>

  <dlcm-shared-additional-information-panel-container *ngIf="model | isNotNullNorUndefined"
                                                      [resource]="model"
  >
  </dlcm-shared-additional-information-panel-container>
</form>
